Bug 1396513 - Review Request: nitrokey-app - Nitrokey's Application
Summary: Review Request: nitrokey-app - Nitrokey's Application
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vitaly Zaitsev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-18 14:12 UTC by Igor Gnatenko
Modified: 2016-12-11 02:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-11 00:27:05 UTC
vitaly: fedora-review+


Attachments (Terms of Use)

Description Igor Gnatenko 2016-11-18 14:12:52 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/for-review/nitrokey-app.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/for-review/nitrokey-app-0.5.1-1.fc26.src.rpm
Description: Nitrokey's Application.
Fedora Account System Username: ignatenkobrain

Comment 1 Vitaly Zaitsev 2016-11-19 13:21:16 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: make gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2


===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "BSD (3 clause)", "GPL (v2 or later)", "GPL
     (v3 or later)", "Unknown or generated". 31 files have unknown license.
     Detailed output of licensecheck in /home/vitaly/1396513-nitrokey-
     app/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/udev,
     /usr/share/icons/hicolor/22x22, /usr/share/icons/hicolor/22x22/apps,
     /usr/share/icons/hicolor/24x24/apps, /usr/share/icons/hicolor/24x24,
     /usr/lib/udev/rules.d, /usr/share/icons/hicolor/scalable/apps,
     /usr/share/icons/hicolor/scalable
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: The spec file handles locales properly.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in nitrokey-app
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     nitrokey-app-debuginfo
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nitrokey-app-0.5.1-1.fc26.x86_64.rpm
          nitrokey-app-debuginfo-0.5.1-1.fc26.x86_64.rpm
          nitrokey-app-0.5.1-1.fc26.src.rpm
nitrokey-app.x86_64: W: only-non-binary-in-usr-lib
nitrokey-app.x86_64: W: no-documentation
nitrokey-app.x86_64: W: non-conffile-in-etc /etc/bash_completion.d/nitrokey-app
nitrokey-app.x86_64: W: no-manual-page-for-binary nitrokey-app
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (debuginfo)
-------------------
Checking: nitrokey-app-debuginfo-0.5.1-1.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
nitrokey-app.x86_64: W: only-non-binary-in-usr-lib
nitrokey-app.x86_64: W: no-documentation
nitrokey-app.x86_64: W: non-conffile-in-etc /etc/bash_completion.d/nitrokey-app
nitrokey-app.x86_64: W: no-manual-page-for-binary nitrokey-app
2 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
nitrokey-app (rpmlib, GLIBC filtered):
    /bin/sh
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libusb-1.0.so.0()(64bit)
    rtld(GNU_HASH)

nitrokey-app-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
nitrokey-app:
    application()
    application(nitrokey-app.desktop)
    nitrokey-app
    nitrokey-app(x86-64)

nitrokey-app-debuginfo:
    nitrokey-app-debuginfo
    nitrokey-app-debuginfo(x86-64)



Source checksums
----------------
https://github.com/Nitrokey/nitrokey-app/archive/v0.5.1/nitrokey-app-0.5.1.tar.gz :
  CHECKSUM(SHA256) this package     : 05a376a3092fbffd3478ce5191f79549e426627d397b2e57b5ef040841a91b6e
  CHECKSUM(SHA256) upstream package : 05a376a3092fbffd3478ce5191f79549e426627d397b2e57b5ef040841a91b6e


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1396513 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Vitaly Zaitsev 2016-11-19 13:37:44 UTC
===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.

OK.

[ ]: Package contains no static executables.

OK.

[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.

OK.

[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "BSD (3 clause)", "GPL (v2 or later)", "GPL
     (v3 or later)", "Unknown or generated". 31 files have unknown license.
     Detailed output of licensecheck in /home/vitaly/1396513-nitrokey-
     app/licensecheck.txt

Apache (v2.0)
-------------
nitrokey-app-0.5.1/src/utils/base32.cpp
nitrokey-app-0.5.1/src/utils/base32.h

BSD (3 clause)
--------------
nitrokey-app-0.5.1/src/inttypes.h

GPL (v2 or later)
-----------------
nitrokey-app-0.5.1/src/ui/splash.cpp
nitrokey-app-0.5.1/src/ui/splash.h
nitrokey-app-0.5.1/src/utils/gui.cpp
nitrokey-app-0.5.1/src/utils/gui.h

GPL (v3 or later)
-----------------
All others.

[ ]: License file installed when any subpackage combination is installed.

OK.

[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/udev,
     /usr/share/icons/hicolor/22x22, /usr/share/icons/hicolor/22x22/apps,
     /usr/share/icons/hicolor/24x24/apps, /usr/share/icons/hicolor/24x24,
     /usr/lib/udev/rules.d, /usr/share/icons/hicolor/scalable/apps,
     /usr/share/icons/hicolor/scalable

Add hicolor-icon-theme and systemd-udev to Requires of package.

[ ]: %build honors applicable compiler flags or justifies otherwise.

OK.

[ ]: Package contains no bundled libraries without FPC exception.

OK.

[ ]: Changelog in prescribed format.

OK.

[ ]: Sources contain only permissible code or content.

OK.

[ ]: Development files must be in a -devel package

OK.

[ ]: Package uses nothing in %doc for runtime.

OK.

[ ]: The spec file handles locales properly.

OK.

[ ]: Package consistently uses macros (instead of hard-coded directory
     names).

OK.

[ ]: Package is named according to the Package Naming Guidelines.

OK.

[ ]: Package does not generate any conflict.

OK.

[ ]: Package obeys FHS, except libexecdir and /usr/target.

OK.

[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.

OK.

[ ]: Requires correct, justified where necessary.

Add hicolor-icon-theme and systemd-udev to Requires of package.

[ ]: Spec file is legible and written in American English.

OK.

[ ]: Package contains systemd file(s) if in need.

OK.

[ ]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.

OK..

[ ]: Useful -debuginfo package or justification otherwise.

OK.

[ ]: Package is not known to require an ExcludeArch tag.

OK.

[ ]: Package complies to the Packaging Guidelines

OK.

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.

OK.

[ ]: Final provides and requires are sane (see attachments).

OK.

[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     nitrokey-app-debuginfo

OK.

[ ]: Package functions as described.

OK.

[ ]: Latest version is packaged.

OK.

[ ]: Package does not include license text files separate from upstream.

OK.

[ ]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.

OK.

[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.

OK.

[ ]: Package should compile and build into binary rpms on all supported
     architectures.

OK.

[ ]: %check is present and all tests pass.

OK.

[ ]: Packages should try to preserve timestamps of original installed
     files.

OK.

[x]: Reviewer should test that the package builds in mock.

Tested. Works.

Comment 3 Vitaly Zaitsev 2016-11-19 13:40:56 UTC
I think this can be fixed during package import.

Comment 4 Gwyn Ciesla 2016-11-20 16:41:36 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/nitrokey-app

Comment 5 Fedora Update System 2016-11-20 23:25:38 UTC
nitrokey-app-0.5.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-94dfc033bb

Comment 6 Fedora Update System 2016-11-20 23:25:46 UTC
nitrokey-app-0.5.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e29a5887ae

Comment 7 Fedora Update System 2016-11-23 20:31:26 UTC
nitrokey-app-0.5.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-94dfc033bb

Comment 8 Fedora Update System 2016-11-23 23:05:42 UTC
nitrokey-app-0.5.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e29a5887ae

Comment 9 Fedora Update System 2016-12-02 08:40:59 UTC
nitrokey-app-0.6.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e29a5887ae

Comment 10 Fedora Update System 2016-12-02 08:41:18 UTC
nitrokey-app-0.6.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-94dfc033bb

Comment 11 Fedora Update System 2016-12-03 04:30:55 UTC
nitrokey-app-0.6.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e29a5887ae

Comment 12 Fedora Update System 2016-12-03 05:39:12 UTC
nitrokey-app-0.6.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-94dfc033bb

Comment 13 Fedora Update System 2016-12-11 00:27:05 UTC
nitrokey-app-0.6.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-12-11 02:22:39 UTC
nitrokey-app-0.6.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.